petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerRestoreSubViewer

Restores a new PetscViewer obtained with PetscViewerGetSubViewer().

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerRestoreSubViewer(PetscViewer viewer,MPI_Comm comm,PetscViewer *outviewer)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer that was reproduced
| outviewer | - new PetscViewer

Notes: Call PetscViewerGetSubViewer() to get this PetscViewer, NOT PetscViewerCreate()

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerGetSubViewer()

Level:advanced
Location:src/sys/classes/viewer/interface/dupl.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex15.c.html